
/* Chrysalide - Outil d'analyse de fichiers binaires
 * info.h - prototypes pour la lecture des informations principales du format DWARF
 *
 * Copyright (C) 2008-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _FORMAT_DWARF_INFO_H
#define _FORMAT_DWARF_INFO_H


#include <stdbool.h>


#include "dwarf.h"



/* Charge les informations depuis une section ".debug_info". */
bool load_dwarf_debug_information(GDwarfFormat *);








#if 0

#include <stdbool.h>


#include "d_dwarf.h"



/* Charge les informations trouvées dans un DWARF. */
bool load_dwarf_information(dwarf_format *);

/* Décharge les informations trouvées dans un DWARF. */
void unload_dwarf_information(dwarf_format *);
#endif



#endif  /* _FORMAT_DWARF_INFO_H */
